### Method

# Gck Session find_handles

#### Declaration [src]

    gulong*
    gck_session_find_handles (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      gulong* n_handles,
      GError** error
    )

#### Description [src]

Find the objects matching the passed attributes. This call may block for an indefinite period.

#### Parameters

`match`

  Type: `GckAttributes`

  The attributes to match against objects.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`n_handles`

  Type: `gulong*`

  Location to return number of handles.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `gulong`

A list of the matching objects, which may be empty.

The length of the array is in the `n_handles` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.